import { Getter, Provider } from '@loopback/core';
import { Middleware, RequestContext } from '@loopback/rest';
import { MultiTenancyMiddlewareOptions, MultiTenancyStrategy } from '../types';
/**
 * Provides the multi-tenancy action for a sequence
 */
export declare class MultiTenancyMiddlewareProvider implements Provider<Middleware> {
    private readonly getMultiTenancyStrategies;
    private options;
    constructor(getMultiTenancyStrategies: Getter<MultiTenancyStrategy[]>, options?: MultiTenancyMiddlewareOptions);
    value(): Middleware;
    /**
     * The implementation of authenticate() sequence action.
     * @param request - The incoming request provided by the REST layer
     */
    action(requestCtx: RequestContext): Promise<import("../types").Tenant | undefined>;
    private identifyTenancy;
}
